#include<iostream>
#include<string>

using namespace std;



int main(){
    string T;
    int velT, bp, i;

    cin>>T;

    velT = T.size();

    bp = 0;
    for(i = 0; i<velT; i++){
        if(T[i] != T[velT - 1 - i]){
            bp += 1;
        }

    }
    if(bp == 0){
        bp = 1;
    }
    cout<<bp;


    return 0;
}